@import url('https://fonts.googleapis.com/css?family=Roboto:wght@400;700&display=swap');
* {
    box-sizing: border-box;
}

body {
    background-image: linear-gradient(90deg, #7d5fff, #7158e2);
    font-family: 'Roboto', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

.search {
    position: relative;
    height: 3em;
}

.search .input {
    background-color: #ffff;
    border: 0;
    font-size: 1em;
    padding: 12em;
    height: 3em;
    width: 3em;
    transition: width 0.3s ease;
}

.btn {
    background-color: #ffff;
    border: 0;
    cursor: pointer;
    font-size: 2em;
    position: absolute;
    top: 0;
    left: 0;
    height: 2em;
    width: 2em;
    transition: transform 0.3s ease;
}

.btn:focus,
.input:focus {
    outline: none;
}

.search.active .input {
    width: 200px;
}

.search.active .btn {
    transform: translateX(198px);
}